
QGIS Application - Bug report #214

qgis 0.8 - unable to open database crash

2006-07-31 12:28 AM - anonymous -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10273

Description

Doing anything related to projection selection results in crash.

OS: [[WinXP]] Home 

QGIS: 0.8 preview 1 and 060724.

E:\\qgis-0.8.0-win32-060724>qgis

Can't open database: unable to open database file

Assertion failed: myResult  0, file qgsprojectionselector.cpp, line 533

This application has requested the Runtime to terminate it in an unusual way.

Please contact the application's support team for more information.

E:\\qgis-0.8.0-win32-060724>qgis

Can't open database: unable to open database file

Assertion failed: myResult  0, file qgsoptions.cpp, line 303

E:\\qgis-0.8.0-win32-060724>qgis

mPixmap.isNull() = 0

Can't open database: unable to open database file

Assertion failed: myResult == 0, file qgsprojectionselector.cpp, line 533

History

#1 - 2006-07-31 03:52 AM - Gavin Macaulay -

I tried the windows release and it doesn't seem to install the srs.db database in a place where qgis can find it, which may lead to this problem. Perhaps

Gary can comment...

#2 - 2006-08-25 02:05 PM - Gary Sherman

- Status changed from Open to In Progress

The srs.db is installed in the proper place, however the path to it is not being set right in code. This results in an attempt to open /resources/srs.db rather

than the appropriate $PREFIX/resources/srs.db. Offending code appears to be in src/core/qgsapplication.cpp, starting at line 42. mPrefixPath is not being

set properly (i.e. its blank) and this affects all parts of the code base that atempt to find resources.

#3 - 2006-08-29 10:08 PM - Gary Sherman

- Resolution set to fixed
- Status changed from In Progress to Closed

Fixed by Radim

#4 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
